<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Report Page</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
    <style>
        @import url('https://fonts.googleapis.com/css?family=Roboto&display=swap');
        body {
            font-family: 'Roboto', sans-serif;
            background-color: #f8f9fa;
        }
        .intro {
            background: #fff;
            padding: 60px 30px;
            color: #333;
            margin-bottom: 15px;
            line-height: 1.5;
            text-align: center;
        }
        .intro h1 {
            font-size: 24pt;
            padding-bottom: 15px;
        }
        .intro p {
            font-size: 16px;
        }
        .header-title {
            background-color: #343a40;
            color: #fff;
            padding: 20px;
            text-align: center;
            margin-bottom: 20px;
            border-radius: 8px;
        }
        .table thead th {
            background-color: #343a40;
            color: #fff;
        }
        .table tfoot td {
            background-color: #343a40;
            color: #fff;
            font-weight: bold;
        }
        .custom-btn {
            background-color: #343a40;
            color: #fff;
            border: none;
            margin-top: 10px;
        }
        .custom-btn:hover {
            background-color: #495057;
            color: #fff;
        }
        .news h4 {
            text-align: center;
            color: white;
            text-decoration: underline;
            margin-bottom: 30px;
        }
        .news ul {
            width: 100%;
            padding-left: 0;
        }
        .news ul li {    
            list-style: none;
            color: #a0ffc2;
            padding-left: 20px;
        }
        .news ul li a {
            color: #fff;
            text-decoration: none;
            font: 14px Helvetica, Arial, sans-serif;
        }
        .news.red {
            box-shadow: inset 0 -15px 30px rgba(0,0,0,0.4), 0 5px 10px rgba(0,0,0,0.5);
            width: 100%;
            margin: 20px 0;
            overflow: hidden;
            border-radius: 4px;
            padding: 3px;
            background: #d23435;
        } 
        .news.red span {
            float: left;
            color: #fff;
            padding: 6px;
            border-radius: 4px;
            font: 16px 'Source Sans Pro', Helvetica, Arial, sans-serif;
        }
    </style>
</head>
<body>
    <?php include 'header.php'; ?>
    <div class="container mt-5">
        
        <div class="row mb-3">
            <div class="col text-right">
                <a href="<?= base_url('Main/add_appionment') ?>" class="btn custom-btn">+ New PreBook</a>
            </div>
        </div>
        <?php if ($error = $this->session->flashdata('Appoint')): ?>
            <div class="alert alert-success alert-dismissible fade show" role="alert">
                <?= $error; ?>
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
        <?php endif; ?>
        
        
        <h4 class="text-danger">Tomorrow Rides</h4>
        <div class="table-responsive">
            <table class="table table-bordered table-hover">
                <thead>
                    <tr>
                        <th>#</th>
                        <th>Date</th>
                        <th>Name</th>
                        <th>Hotel</th>
                        <th>Destiny</th>
                        <th>F.Number</th>
                        
                    </tr>
                </thead>
                <tbody>
                    <?php 
                    $CI =& get_instance();
                    $i = 1;
                    foreach ($appoint_data as $key):
                        
                        $date1 = date('d/m', strtotime('+1 day'));
                        $date2 = date('d/m', strtotime($key->date));
                        
                        if ($date1 == $date2): ?>
                            <tr>
                                <td><?= $i; ?></td>
                                <td><?= date('d/m H:i', strtotime($key->date)); ?></td>
                                <td><?= $key->name; ?></td>
                                <td><?= $key->hotel_name; ?></td>
                                <td>
                                    <?php 
                                    $data = $CI->db->select('destiny')->where('id', $key->destiny_id)->get('destination')->row();
                                    echo $data->destiny;
                                    ?>
                                </td>
                                
                                <td><?= $key->number; ?> &nbsp;<?= $key->flight_details; ?></td>
                                
                                
                            </tr>
                            <?php $i++; ?>
                        <?php endif; ?>
                    <?php endforeach; ?>
                </tbody>
            </table>
        </div>
        
        <h4 class="text-danger">Arrivals</h4>
        <div class="table-responsive">
            <table class="table table-bordered table-hover">
                <thead>
                    <tr>
                        <th>#</th>
                        <th>Date</th>
                        <th>To</th>
                        <th>Destiny</th>
                        <th>Name</th>
                        <th>Phone</th>
                        <th>Commission</th>
                        <th>F.Number</th>
                        <th>Price</th>
                        <th>Pax</th>
                        <th>Edit</th>
                    </tr>
                </thead>
                <tbody>
                    <?php 
                    $CI =& get_instance();
                    $i = 1;
                    foreach ($appoint_data as $key):
                        if (!empty($key->flight_details)): ?>
                            <tr>
                                <td><?= $i; ?></td>
                                <td><?= date('d/m H:i', strtotime($key->date)); ?></td>
                                <td><?= $key->hotel_name; ?></td>
                                <td>
                                    <?php 
                                    $data = $CI->db->select('destiny')->where('id', $key->destiny_id)->get('destination')->row();
                                    echo $data->destiny;
                                    ?>
                                </td>
                                <td><?= $key->name; ?></td>
                                <td><?= $key->number; ?></td>
                                <td><?= $key->comission; ?></td>
                                <td><?= $key->flight_details; ?></td>
                                <td><?= $key->Price; ?></td>
                                <td><?= $key->pax; ?></td>
                                <td><a href="<?= base_url('Main/edit_scdehule/' . $key->id); ?>" class="btn btn-sm btn-primary">Edit</a></td>
                            </tr>
                            <?php $i++; ?>
                        <?php endif; ?>
                    <?php endforeach; ?>
                </tbody>
            </table>
        </div>
        <h4 class="text-danger">Departures</h4>
        <div class="table-responsive">
            <table class="table table-bordered table-hover">
                <thead>
                    <tr>
                        <th>#</th>
                        <th>Date</th>
                        <th>To</th>
                        <th>Destiny</th>
                        <th>Name</th>
                        <th>Phone</th>
                        <th>Commission</th>
                        <th>Price</th>
                        <th>Pax</th>
                        <th>Edit</th>
                    </tr>
                </thead>
                <tbody>
                    <?php 
                    $CI =& get_instance();
                    $i = 1;
                    foreach ($appoint_data as $key):
                        if (empty($key->flight_details)): ?>
                            <tr>
                                <td><?= $i; ?></td>
                                <td><?= date('d/m H:i', strtotime($key->date)); ?></td>
                                <td><?= $key->hotel_name; ?></td>
                                <td>
                                    <?php 
                                    $data = $CI->db->select('destiny')->where('id', $key->destiny_id)->get('destination')->row();
                                    echo $data->destiny;
                                    ?>
                                </td>
                                <td><?= $key->name; ?></td>
                                <td><?= $key->number; ?></td>
                                <td><?= $key->comission; ?></td>
                                <td><?= $key->Price; ?></td>
                                <td><?= $key->pax; ?></td>
                                <td><a href="<?= base_url('Main/edit_scdehule/' . $key->id); ?>" class="btn btn-sm btn-primary">Edit</a></td>
                            </tr>
                            <?php $i++; ?>
                        <?php endif; ?>
                    <?php endforeach; ?>
                </tbody>
            </table>
        </div>
    </div>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
    <script type="text/javascript">
        $('.alert').delay(1000).fadeOut('slow');
    </script>
</body>
</html>
